Skip to main content

Segmented Button

The Segmented Button control consists of several button parts. It provides the possibility to switch between several pages by activating one button segment at a time. Each segment may contain a text or (and) an icon. You can set a desired set of options for button segments and specify what segment should be selected.

Segmented Button

Initialization

To create an instance of Segmented Button on a page, you need to complete two steps:

  • import the source file of the control on a page:
App.svelte
<script>
import { Segmented } from "@svar-ui/svelte-core";
</script>
  • use the <Segmented> tag to initialize the control and specify an options' set to provide content for the button's segments:
App.svelte
<script>
import { Segmented } from "@svar-ui/svelte-core";

const options = [
{ id: 1, label: "One"},
{ id: 2, label: "Two"},
{ id: 3, label: "Three"}
];
</script>

<Segmented {options} />

Setting the content of segments

You can specify the content of segments by setting an array of options, each of which will correspond to a button segment. Use the options configuration property for this purpose.

Each option presents an object with properties presented as key:value pairs. An object of the options array may have the following properties:

  • label - the text of a button segment
  • icon - the name of the icon to be used in a button segment
  • title - the native browser tooltip shown on hover (sets the HTML title attribute)
  • options tooltip - sets data-tooltip-text on the segment's <button>; shown when <Segmented> is wrapped in <Tooltip> component

Below you'll find examples of the content you can specify for button segments.

Text content

The text of segments is specified via the value of the label property of an option:

<script>
const optionsText = [
{ id: 1, label: "One" },
{ id: 2, label: "Two" },
{ id: 3, label: "Three"}
];
</script>

<Segmented options={optionsText} />

Segmented Button with text

Icons content

The icon property of an option serves to provide a desired icon for a segment. The name of a default icon is formed as wxi-name:

<script>
const optionsIcons =[
{ id: 1, icon: "wxi-view-sequential" },
{ id: 2, icon: "wxi-view-grid" },
{ id: 3, icon: "wxi-view-column" }
];
</script>

<Segmented options={optionsIcons} />

Segmented Button with icons

Get more information on usage of icons in SVAR buttons.

Combination of a text and an icon

You can easily combine both a text and an icon inside a segment by using both the label and the icon properties in the option's object:

<script>
const options = [
{ id: 1, label: "One", icon: "wxi-view-sequential" },
{ id: 2, label: "Two", icon: "wxi-view-grid" },
{ id: 3, label: "Three", icon: "wxi-view-column" }
];
</script>

<Segmented {options} />

Segmented Button with text and icon

Tooltips for segments

Each segment can show a tooltip on hover. There are two independent ways to set it:

  • title — sets the HTML title attribute on the segment's button, which shows the browser's native tooltip.
  • options tooltip — sets data-tooltip-text on the option's <button>; shown when <Segmented> is wrapped in <Tooltip> component.
note

Tooltip does not interact with the HTML title attribute. Setting tooltip on a control does not affect its title prop and vice versa. Both can be set simultaneously when each displays its own tooltip (the browser's native one and the SVAR one) but make sure it's not redundant in your case.

Use title to show a native browser tooltip:

<script>
const options = [
{ id: 1, label: "One", icon: "wxi-view-sequential", title: "Grid mode" },
{ id: 2, label: "Two", icon: "wxi-view-grid", title: "Tiles mode" },
{ id: 3, label: "Three", icon: "wxi-view-column", title: "Two panels mode" }
];
</script>

<Segmented {options} value={1} />

Segmented Button with titles

To show a SVAR tooltip, use tooltip on each option and wrap the control in <Tooltip>:

<script>
import { Tooltip, Segmented } from "@svar-ui/svelte-core";

const options = [
{ id: 1, icon: "wxi-view-sequential", label: "List", tooltip: "List view" },
{ id: 2, icon: "wxi-view-grid", label: "Grid", tooltip: "Grid view" },
{ id: 3, icon: "wxi-view-column", label: "Column", tooltip: "Column view" },
];
</script>

<Tooltip at="bottom" arrow>
<Segmented {options} />
</Tooltip>

Related sample: Segmented Button

Setting the value

You can choose what segment should be selected in the Segmented Button with the help of the value property. As a value of this property, set the id of the corresponding option:

<script>
const options = [
{ id: 1, label: "One", icon: "wxi-view-sequential" },
{ id: 2, label: "Two", icon: "wxi-view-grid" },
{ id: 3, label: "Three", icon: "wxi-view-column" }
];
</script>

<Segmented {options} value={2} />

Segmented Button

Related sample: Segmented Button

Getting the current value

It is possible to get the value of the segment selected at the moment. For this, you need:

  • specify a variable that will contain the value of the button (it may contain the initial value):
<script>
import { Segmented } from "@svar-ui/svelte-core";

const dataset = [
{ id: 1, label: "One"},
{ id: 2, label: "Two"},
{ id: 3, label: "Three"},
];

let segment = 2;
</script>
  • bind the variable to the value property of the control:
<Segmented options={dataset} bind:value={segment} />

If the name of the variable matches its value, you can use the shorthand while binding the property:

<script>
import { Segmented } from "@svar-ui/svelte-core";

const dataset = [
{ id: 1, label: "One"},
{ id: 2, label: "Two"},
{ id: 3, label: "Three"},
];

let value = 2;
</script>

<Segmented options={dataset} bind:value />

After that the value assigned to the bound variable will be updated on each change of the selected segment.

Related sample: Segmented Button

Catching the change of the selected segment

In case you need to catch the change of the selected segment, you can do it by handling the change event. Inside the event you can get the value of the newly selected segment in the following way:

<script>
function handleChange({value}) {
console.log(value);
// => id of selected option
}
</script>

<Segmented onchange={handleSelect}/>

The handler function of the change event receives an object with an id of the newly selected segment.

Customizing the content of segments

Text content

You can use a template with the name of an option's field the text of which you want to show instead of the default "label" field. In the example below, the text of the "color" property is used for segments:

<script>
const optionsText = [
{ id: 1, label: "One", color: "Blue" },
{ id: 2, label: "Two", color: "Yellow"},
{ id: 3, label: "Three", color: "Green"}
];
</script>

<Segmented>{#snippet children(option)} {option.color} {/snippet}</Segmented>

Segmented Button custom text

Icons content

You can customize the appearance of the icons content by applying the necessary style attributes via the icon CSS class and applying the corresponding template to the "icon" field of an option:

<script>
const optionsIcons =[
{ id: 1, icon: "wxi-view-sequential" },
{ id: 2, icon: "wxi-view-grid" },
{ id: 3, icon: "wxi-view-column" }
];
</script>

<Segmented {options}>
{#snippet children(option)}
<i class="icon {option.icon}" />
{/snippet}
</Segmented>

<style>
.icon {
height: 48px;
font-size: 48px;
line-height: 1;
color: inherit;
}
</style>

Segmented Button custom icons

HTML content

If you need to use more complex content in segments of the Segmented Button, you may add some HTML markup.

For example, you can place a text under an icon. For this, you will need to wrap the template with the content of a segment in a <div> and use a CSS class that will specify the arrangement of elements in that div:

<script>
const options = [
{ id: 1, label: "One", icon: "wxi-view-sequential" },
{ id: 2, label: "Two", icon: "wxi-view-grid" },
{ id: 3, label: "Three", icon: "wxi-view-column" }
];
</script>

<Segmented {options}>{#snippet children(option)}
<div>
<i class="icon {option.icon}" />
<span class="bottom">{option.label}</span>
</div>
{/snippet}</Segmented>

<style>
.icon {
height: 48px;
font-size: 48px;
line-height: 1;
color: inherit;
}
.bottom {
display: block;
text-align: center;
}
</style>

In the above example, the templates for an icon and a text are wrapped in a div and the "bottom" CSS class defines the position of the text relative to the icon.

Segmented Button HTML content

Related sample: Segmented Button

Styling the Segmented button

You can apply custom styling to the segments to get the desired look and feel. For this, you should specify the necessary settings in the style section of the application and set the name of the custom class as a value of the css property in the control's tag.

<div class="demo-box">
<Segmented css="my" options={optionsText} bind:value />
</div>

<style>
/* styling segments of the control */
.demo-box :global(div.my button){
background-color: lightsalmon;
color:white;
}
</style>

In the example the style is set as global in order to reach an isolated button control. Since segments of the button are placed in a div, the class name is added to this element ("div.my"). The name of the HTML element ("button") is set after the class name to make the selector specific for a button segment.

Styling the selected segment

To change the style of the selected segment, add the .selected selector to the button element and provide new style attributes for it, like this:

<style>
/* styling the selected segment */
.demo-box :global(div.my button.selected){
background-color: blueviolet;
color:white;
}
</style>

The result of applying a custom style is the following:

Segmented Button custom style

Segmented Button
The Segmented Button control consists of several button parts. It provides the possibility to switch between several pages by activating one button segment at a time. Each segment may contain a text or (and) an icon. You can set a desired set of options for button segments and specify what segment should be selected.
Related resources
- Get the widget by installing the
@svar-ui/vue-corepackage. - Check Segmented Button API Reference to see the list of configuration properties and events.
- Explore the samples to visualize the available features.
Initialization
To create an instance of Segmented Button on a page, you need to complete two steps:
- import the source file of the control on a page:
<script setup>
import { Segmented } from "@svar-ui/vue-core";
</script>
- use the
<Segmented>tag to initialize the control and specify an options' set to provide content for the button's segments:
<script setup>
import { Segmented } from "@svar-ui/vue-core";
const options = [
{ id: 1, label: "One"},
{ id: 2, label: "Two"},
{ id: 3, label: "Three"}
];
</script>
<template>
<Segmented :options="options" />
</template>
Setting the content of segments
You can specify the content of segments by setting an array of options, each of which will correspond to a button segment. Use the options configuration property for this purpose.
Each option presents an object with properties presented as key:value pairs. An object of the options array may have the following properties:
- label - the text of a button segment
- icon - the name of the icon to be used in a button segment
- title - the native browser tooltip shown on hover (sets the HTML
titleattribute) - options tooltip - sets
data-tooltip-texton the segment's<button>; shown when<Segmented>is wrapped in<Tooltip>component
Below you'll find examples of the content you can specify for button segments.
Text content
The text of segments is specified via the value of the label property of an option:
<script setup>
const optionsText = [
{ id: 1, label: "One" },
{ id: 2, label: "Two" },
{ id: 3, label: "Three"}
];
</script>
<template>
<Segmented :options="optionsText" />
</template>
Icons content
The icon property of an option serves to provide a desired icon for a segment. The name of a default icon is formed as wxi-name:
<script setup>
const optionsIcons =[
{ id: 1, icon: "wxi-view-sequential" },
{ id: 2, icon: "wxi-view-grid" },
{ id: 3, icon: "wxi-view-column" }
];
</script>
<template>
<Segmented :options="optionsIcons" />
</template>
Get more information on usage of icons in SVAR buttons.
Combination of a text and an icon
You can easily combine both a text and an icon inside a segment by using both the label and the icon properties in the option's object:
<script setup>
const options = [
{ id: 1, label: "One", icon: "wxi-view-sequential" },
{ id: 2, label: "Two", icon: "wxi-view-grid" },
{ id: 3, label: "Three", icon: "wxi-view-column" }
];
</script>
<template>
<Segmented :options="options" />
</template>
Tooltips for segments
Each segment can show a tooltip on hover. There are two independent ways to set it:
title— sets the HTMLtitleattribute on the segment's button, which shows the browser's native tooltip.options tooltip— setsdata-tooltip-texton the option's<button>; shown when<Segmented>is wrapped in<Tooltip>component.
Tooltip does not interact with the HTML title attribute. Setting tooltip on a control does not affect its title prop and vice versa. Both can be set simultaneously when each displays its own tooltip (the browser's native one and the SVAR one) but make sure it's not redundant in your case.
Use title to show a native browser tooltip:
<script setup>
const options = [
{ id: 1, label: "One", icon: "wxi-view-sequential", title: "Grid mode" },
{ id: 2, label: "Two", icon: "wxi-view-grid", title: "Tiles mode" },
{ id: 3, label: "Three", icon: "wxi-view-column", title: "Two panels mode" }
];
</script>
<template>
<Segmented :options="options" :value="1" />
</template>
To show a SVAR tooltip, use tooltip on each option and wrap the control in <Tooltip>:
<script setup>
import { Tooltip, Segmented } from "@svar-ui/vue-core";
const options = [
{ id: 1, icon: "wxi-view-sequential", label: "List", tooltip: "List view" },
{ id: 2, icon: "wxi-view-grid", label: "Grid", tooltip: "Grid view" },
{ id: 3, icon: "wxi-view-column", label: "Column", tooltip: "Column view" },
];
</script>
<template>
<Tooltip at="bottom" arrow>
<Segmented :options="options" />
</Tooltip>
</template>
Related sample: Segmented Button
Setting the value
You can choose what segment should be selected in the Segmented Button with the help of the value property. As a value of this property, set the id of the corresponding option:
<script setup>
const options = [
{ id: 1, label: "One", icon: "wxi-view-sequential" },
{ id: 2, label: "Two", icon: "wxi-view-grid" },
{ id: 3, label: "Three", icon: "wxi-view-column" }
];
</script>
<template>
<Segmented :options="options" :value="2" />
</template>
Related sample: Segmented Button
Getting the current value
It is possible to get the value of the segment selected at the moment. For this, you need:
- specify a variable that will contain the value of the button (it may contain the initial value):
<script setup>
import { ref } from "vue";
import { Segmented } from "@svar-ui/vue-core";
const dataset = [
{ id: 1, label: "One"},
{ id: 2, label: "Two"},
{ id: 3, label: "Three"},
];
const segment = ref(2);
</script>
- bind the variable to the
valueproperty of the control:
<Segmented :options="dataset" v-model:value="segment" />
If the name of the variable matches its value, you can use the same approach while binding the property:
<script setup>
import { ref } from "vue";
import { Segmented } from "@svar-ui/vue-core";
const dataset = [
{ id: 1, label: "One"},
{ id: 2, label: "Two"},
{ id: 3, label: "Three"},
];
const value = ref(2);
</script>
<template>
<Segmented :options="dataset" v-model:value="value" />
</template>
After that the value assigned to the bound variable will be updated on each change of the selected segment.
Related sample: Segmented Button
Catching the change of the selected segment
In case you need to catch the change of the selected segment, you can do it by handling the change event. Inside the event you can get the value of the newly selected segment in the following way:
<script setup>
function handleChange({value}) {
console.log(value);
// => id of selected option
}
</script>
<template>
<Segmented :onchange="handleSelect"/>
</template>
The handler function of the change event receives an object with an id of the newly selected segment.
Customizing the content of segments
Text content
You can use a template with the name of an option's field the text of which you want to show instead of the default "label" field. In the example below, the text of the "color" property is used for segments:
<script setup>
const optionsText = [
{ id: 1, label: "One", color: "Blue" },
{ id: 2, label: "Two", color: "Yellow"},
{ id: 3, label: "Three", color: "Green"}
];
</script>
<template>
<Segmented><template #default="option"> {{ option.color }} </template></Segmented>
</template>
Icons content
You can customize the appearance of the icons content by applying the necessary style attributes via the icon CSS class and applying the corresponding template to the "icon" field of an option:
<script setup>
const optionsIcons =[
{ id: 1, icon: "wxi-view-sequential" },
{ id: 2, icon: "wxi-view-grid" },
{ id: 3, icon: "wxi-view-column" }
];
</script>
<template>
<Segmented :options="options">
<template #default="option">
<i :class="'icon ' + option.icon" />
</template>
</Segmented>
</template>
<style scoped>
.icon {
height: 48px;
font-size: 48px;
line-height: 1;
color: inherit;
}
</style>
HTML content
If you need to use more complex content in segments of the Segmented Button, you may add some HTML markup.
For example, you can place a text under an icon. For this, you will need to wrap the template with the content of a segment in a <div> and use a CSS class that will specify the arrangement of elements in that div:
<script setup>
const options = [
{ id: 1, label: "One", icon: "wxi-view-sequential" },
{ id: 2, label: "Two", icon: "wxi-view-grid" },
{ id: 3, label: "Three", icon: "wxi-view-column" }
];
</script>
<template>
<Segmented :options="options">
<template #default="option">
<div>
<i :class="'icon ' + option.icon" />
<span class="bottom">{{ option.label }}</span>
</div>
</template>
</Segmented>
</template>
<style scoped>
.icon {
height: 48px;
font-size: 48px;
line-height: 1;
color: inherit;
}
.bottom {
display: block;
text-align: center;
}
</style>
In the above example, the templates for an icon and a text are wrapped in a div and the "bottom" CSS class defines the position of the text relative to the icon.
Related sample: Segmented Button
Styling the Segmented button
You can apply custom styling to the segments to get the desired look and feel. For this, you should specify the necessary settings in the style section of the application and set the name of the custom class as a value of the css property in the control's tag.
<template>
<div class="demo-box">
<Segmented css="my" :options="optionsText" v-model:value="value" />
</div>
</template>
<style scoped>
/* styling segments of the control */
.demo-box :deep(div.my button){
background-color: lightsalmon;
color:white;
}
</style>
In the example the style is set using :deep() in order to reach an isolated button control. Since segments of the button are placed in a div, the class name is added to this element ("div.my"). The name of the HTML element ("button") is set after the class name to make the selector specific for a button segment.
Styling the selected segment
To change the style of the selected segment, add the .selected selector to the button element and provide new style attributes for it, like this:
<style scoped>
/* styling the selected segment */
.demo-box :deep(div.my button.selected){
background-color: blueviolet;
color:white;
}
</style>
The result of applying a custom style is the following:

Skip to main content

Segmented Button

The Segmented Button control consists of several button parts. It provides the possibility to switch between several pages by activating one button segment at a time. Each segment may contain a text or (and) an icon. You can set a desired set of options for button segments and specify what segment should be selected.

Segmented Button

Initialization

To create an instance of Segmented Button on a page, you need to complete two steps:

  • import the component on a page:
App.jsx
import { Segmented } from "@svar-ui/react-core";
  • use the <Segmented> component to initialize the control and specify an options set to provide content for the button's segments:
App.jsx
import { Segmented } from "@svar-ui/react-core";

const options = [
{ id: 1, label: "One"},
{ id: 2, label: "Two"},
{ id: 3, label: "Three"}
];

export default function App() {
return <Segmented options={options} />;
}

Setting the content of segments

You can specify the content of segments by setting an array of options, each of which will correspond to a button segment. Use the options configuration property to cope with this task.

Each option presents an object with properties presented as key:value pairs. An object of the options array may have the following properties:

  • label - the text of a button segment
  • icon - the name of the icon to be used in a button segment
  • title - the native browser tooltip shown on hover (sets the HTML title attribute)
  • options tooltip - sets data-tooltip-text on the segment's <button>; shown when <Segmented> is wrapped in <Tooltip> component

Below you'll find examples of the content you can specify for button segments.

Text content

The text of segments is specified via the value of the label property of an option:

import { Segmented } from "@svar-ui/react-core";

const optionsText = [
{ id: 1, label: "One" },
{ id: 2, label: "Two" },
{ id: 3, label: "Three"}
];

export default function App() {
return <Segmented options={optionsText} />;
}

Segmented Button with text

Icons content

The icon property of an option serves to provide a desired icon for a segment. The name of a default icon is formed as wxi-name:

import { Segmented } from "@svar-ui/react-core";

const optionsIcons = [
{ id: 1, icon: "wxi-view-sequential" },
{ id: 2, icon: "wxi-view-grid" },
{ id: 3, icon: "wxi-view-column" }
];

export default function App() {
return <Segmented options={optionsIcons} />;
}

Segmented Button with icons

Get more information on usage of icons in SVAR buttons.

Combination of a text and an icon

You can easily combine both a text and an icon inside a segment by using both the label and the icon properties in the option's object:

import { Segmented } from "@svar-ui/react-core";

const options = [
{ id: 1, label: "One", icon: "wxi-view-sequential" },
{ id: 2, label: "Two", icon: "wxi-view-grid" },
{ id: 3, label: "Three", icon: "wxi-view-column" }
];

export default function App() {
return <Segmented options={options} />;
}

Segmented Button with text and icon

Tooltips for segments

Each segment can show a tooltip on hover. There are two independent ways to set it:

  • title — sets the HTML title attribute on the segment's button, which shows the browser's native tooltip.
  • options tooltip — sets data-tooltip-text on the option's <button>; shown when <Segmented> is wrapped in <Tooltip> component.
note

Tooltip does not interact with the HTML title attribute. Setting tooltip on a control does not affect its title prop and vice versa. Both can be set simultaneously when each displays its own tooltip (the browser's native one and the SVAR one) but make sure it's not redundant in your case.

Use title to show a native browser tooltip:

import { Segmented } from "@svar-ui/react-core";

const options = [
{ id: 1, label: "One", icon: "wxi-view-sequential", title: "Grid mode" },
{ id: 2, label: "Two", icon: "wxi-view-grid", title: "Tiles mode" },
{ id: 3, label: "Three", icon: "wxi-view-column", title: "Two panels mode" }
];

export default function App() {
return <Segmented options={options} value={1} />;
}

Segmented Button with titles

To show a SVAR tooltip, use tooltip on each option and wrap the control in <Tooltip>:

import { Tooltip, Segmented } from "@svar-ui/react-core";

const options = [
{ id: 1, icon: "wxi-view-sequential", label: "List", tooltip: "List view" },
{ id: 2, icon: "wxi-view-grid", label: "Grid", tooltip: "Grid view" },
{ id: 3, icon: "wxi-view-column", label: "Column", tooltip: "Column view" },
];

export default function App() {
return (
<Tooltip at="bottom" arrow>
<Segmented options={options} />
</Tooltip>
);
}

Related sample: Segmented Button

Setting the value

You can choose what segment should be selected in the Segmented Button with the help of the value property. As a value of this property, set the id of the corresponding option:

import { Segmented } from "@svar-ui/react-core";

const options = [
{ id: 1, label: "One", icon: "wxi-view-sequential" },
{ id: 2, label: "Two", icon: "wxi-view-grid" },
{ id: 3, label: "Three", icon: "wxi-view-column" }
];

export default function App() {
return <Segmented options={options} value={2} />;
}

Segmented Button

Related sample: Segmented Button

Getting the current value

It is possible to get the value of the segment selected at the moment. In React you do this by making the Segmented component controlled: store the selected value in state and update it via the onChange handler.

import { useState } from "react";
import { Segmented } from "@svar-ui/react-core";

const dataset = [
{ id: 1, label: "One"},
{ id: 2, label: "Two"},
{ id: 3, label: "Three"},
];

export default function App() {
const [segment, setSegment] = useState(2);

return (
<Segmented
options={dataset}
value={segment}
onChange={({ value }) => setSegment(value)}
/>
);
}

After that the value assigned to the state variable will be updated on each change of the selected segment.

Related sample: Segmented Button

Catching the change of the selected segment

In case you need to catch the change of the selected segment, you can do it by handling the change event. In React this event is exposed as the camel-cased prop onChange. Inside the handler you can get the value of the newly selected segment in the following way:

function handleChange({ value }) {
console.log(value);
// => id of selected option
}

export default function App() {
const options = [
{ id: 1, label: "One"},
{ id: 2, label: "Two"},
{ id: 3, label: "Three"},
];

return <Segmented options={options} onChange={handleChange} />;
}

The handler function of the change event receives an object containing the id of the newly selected segment in its value field: onChange={({ value }) => ... }.

Customizing the content of segments

Text content

You can use a children-as-function template that receives the current option. In the example below, the text of the "color" property is used for segments:

import { Segmented } from "@svar-ui/react-core";

const optionsText = [
{ id: 1, label: "One", color: "Blue" },
{ id: 2, label: "Two", color: "Yellow"},
{ id: 3, label: "Three", color: "Green"}
];

export default function App() {
return (
<Segmented options={optionsText}>
{(option) => <>{option.color}</>}
</Segmented>
);
}

Segmented Button custom text

Icons content

You can customize the appearance of the icons by applying the necessary style attributes via the icon CSS class and passing a children-as-function to render the "icon" field of an option:

import { Segmented } from "@svar-ui/react-core";

const optionsIcons = [
{ id: 1, icon: "wxi-view-sequential" },
{ id: 2, icon: "wxi-view-grid" },
{ id: 3, icon: "wxi-view-column" }
];

export default function App() {
return (
<Segmented options={optionsIcons}>
{(option) => <i className={`icon ${option.icon}`} />}
</Segmented>
);
}

CSS:

.icon {
height: 48px;
font-size: 48px;
line-height: 1;
color: inherit;
}

Segmented Button custom icons

HTML content

If you need use a more complex content in segments of the Segmented Button, you may add some HTML markup by returning it from the children-as-function.

For example, you can place a text under an icon. For this, wrap the template with the content of a segment in a <div> and use a CSS class that will specify the arrangement of elements in that div:

import { Segmented } from "@svar-ui/react-core";

const options = [
{ id: 1, label: "One", icon: "wxi-view-sequential" },
{ id: 2, label: "Two", icon: "wxi-view-grid" },
{ id: 3, label: "Three", icon: "wxi-view-column" }
];

export default function App() {
return (
<Segmented options={options}>
{(option) => (
<div>
<i className={`icon ${option.icon}`} />
<span className="bottom">{option.label}</span>
</div>
)}
</Segmented>
);
}

CSS:

.icon {
height: 48px;
font-size: 48px;
line-height: 1;
color: inherit;
}
.bottom {
display: block;
text-align: center;
}

In the above example, the templates for an icon and a text are wrapped in a div and the "bottom" CSS class defines the position of the text relative to the icon.

Segmented Button HTML content

Related sample: Segmented Button

Styling the Segmented button

You can apply custom styling to the segments to get the desired look and feel. For this, specify the necessary CSS rules in your stylesheet and set the name of the custom class as a value of the css property in the component tag.

import { useState } from "react";
import { Segmented } from "@svar-ui/react-core";

const optionsText = [
{ id: 1, label: "One" },
{ id: 2, label: "Two" },
{ id: 3, label: "Three" }
];

export default function App() {
const [value, setValue] = useState(2);

return (
<Segmented
css="my"
options={optionsText}
value={value}
onChange={({ value }) => setValue(value)}
/>
);
}

CSS:

/* styling segments of the control */
.my button {
background-color: lightsalmon;
color: white;
}

In the example the selector targets the element with the my class that the Segmented component applies (as configured by the css prop). The selector is written to be specific to the button segments.

Styling the selected segment

To change the style of the selected segment, add the .selected selector to the button element and provide new style attributes for it, like this:

/* styling the selected segment */
.my button.selected {
background-color: blueviolet;
color: white;
}

The result of applying a custom style is the following:

Segmented Button custom style